#include <iostream>

using namespace std;

int main()
{
    long n,k;
    long a;
    long p;
    long i;
    p=0;
    scanf("%ld%ld",&n,&k);
    int niz1[n];
    long m=n+n+1;
    int niz2[m];
    i=0;
    while(i<m)
    {
        niz2[i]=0;
        i++;
    }
    i=0;
    while(i<n)
    {
        scanf("%ld",&niz1[i]);
        a= niz1[i] + n;
        niz2[a]++;
        i++;
    }
    i=0;
    while(i<m)
    {
        if (niz2[i] >= k)
        {
            p++;
        }
        i++;
    }
    printf("%ld\n", p);
    for(i=0;i<m;i++)
        if(niz2[i] >= k)
            printf("%ld ",i-n);
    return 0;
}